## binutils-mingw-w64 0.3

=== debian/changelog ===
binutils-mingw-w64 (0.3) unstable; urgency=low

  * Enable LTO (Closes: #626285).
  * Require binutils-source 2.21.51.20110523 which provides fully
    working LTO plugin support for COFF targets.

 -- Stephen Kitt <steve@sk2.org>  Tue, 24 May 2011 23:44:32 +0200

binutils-mingw-w64 (0.2) unstable; urgency=low

  * Allow building on all architectures (Closes: #624545).
  * Standards-Version 3.9.2, no change required.

 -- Stephen Kitt <steve@sk2.org>  Sat, 30 Apr 2011 23:11:57 +0200

binutils-mingw-w64 (0.1) unstable; urgency=low

  * Initial release (Closes: #602996).

 -- Stephen Kitt <steve@sk2.org>  Tue, 16 Nov 2010 12:49:49 +0100
