=== debian/control ===
Source: binutils-mingw-w64
Section: devel
Priority: extra
Maintainer: Stephen Kitt <steve@sk2.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.21.51.20110523), bison, flex
Standards-Version: 3.9.2
Homepage: http://www.gnu.org/software/binutils/
Vcs-Git: git://git.debian.org/collab-maint/binutils-mingw-w64.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/binutils-mingw-w64.git;a=summary

Package: binutils-mingw-w64
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils (>= ${local:Version})
Built-Using: binutils (= ${binary:Version})
Conflicts: mingw32-binutils
Description: Cross-binutils for Win32 and Win64 using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This package contains the toolchain binutils.
