=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright © 2010 Stephen Kitt <steve@sk2.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

top_dir := $(shell pwd)
binutils_dir := /usr/src/binutils
upstream_dir := $(top_dir)/upstream
build_dir := $(top_dir)/build
deb_version := $(shell dpkg-query -W -f="\$${Version}\n" binutils-source)
deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
package := binutils-mingw-w64

targets := i686-w64-mingw32 x86_64-w64-mingw32

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall

all:
	echo $(deb_version)

unpack: unpack-stamp
unpack-stamp:
	tar xf $(binutils_dir)/binutils-$(gnu_upstream_version).tar.*
	rm -rf $(upstream_dir)
	mv binutils-$(deb_upstream_version) $(upstream_dir)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf *-stamp $(build_dir) $(upstream_dir) $(patsubst %,debian/%-dllwrap.1,$(targets))
	dh_clean

configure-stamp: unpack-stamp
	dh_testdir
	for target in $(targets); do \
		dh_auto_configure -B$(build_dir)/$$target -D$(upstream_dir) -- \
				  --prefix=/usr --disable-multilib --enable-lto --enable-plugins --target=$$target; \
	done
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	for target in $(targets); do \
		dh_auto_build --parallel -B$(build_dir)/$$target; \
	done
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	for target in $(targets); do \
		dh_auto_install -B$(build_dir)/$$target; \
	done

	# Drop files which will conflict with other packages
	rm -rf debian/$(package)/usr/lib/*.a
	rm -rf debian/$(package)/usr/share/info
	rm -rf debian/$(package)/usr/share/locale

	# The following aren't necessary and don't comply with the FHS
	rm -rf $(patsubst %,debian/$(package)/usr/%,$(targets))

	# Copy the dllwrap manpages
	for target in $(targets); do \
		cp debian/dllwrap.1 debian/$$target-dllwrap.1; \
	done

	touch $@

binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman $(patsubst %,debian/%-dllwrap.1,$(targets))
	dh_installchangelogs $(upstream_dir)/ChangeLog
	dh_link
	dh_strip
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version)
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch binary clean build install
