## binutils-mingw-w64 1

=== debian/changelog ===
binutils-mingw-w64 (1) unstable; urgency=low

  [ Stephen Kitt ]
  * Fix Lintian error about copyright templates.
  * Add build-arch and build-indep targets.
  * Switch to single-number versions and add the binutils-mingw-w64
    version to the resulting binary package's version.
  * Split package into 32- and 64-bit specific versions (-i686 and
    -x86-64) - see thread starting at
    http://lists.debian.org/4EBA730A.7060707@greffrath.com for rationale.

  [ Didier Raboud ]
  * Confidently setting the DMUA-flag to yes.

 -- Stephen Kitt <steve@sk2.org>  Wed, 30 Nov 2011 20:09:17 +0100
