=== debian/control ===
Source: binutils-mingw-w64
Section: devel
Priority: extra
Maintainer: Stephen Kitt <steve@sk2.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.22), bison, flex
Standards-Version: 3.9.2
Homepage: http://www.gnu.org/software/binutils/
Vcs-Git: git://git.debian.org/collab-maint/binutils-mingw-w64.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/binutils-mingw-w64.git;a=summary

Package: binutils-mingw-w64
Architecture: all
Depends: ${misc:Depends}, binutils-mingw-w64-i686, binutils-mingw-w64-x86-64
Built-Using: binutils (= ${binutils:Version})
Conflicts: mingw32-binutils
Description: Cross-binutils for Win32 and Win64 using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the toolchain binutils.

Package: binutils-mingw-w64-i686
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils (>= ${local:Version})
Built-Using: binutils (= ${binutils:Version})
Conflicts: mingw32-binutils
Breaks: binutils-mingw-w64 (<< 2.22-1+1)
Replaces: binutils-mingw-w64 (<< 2.22-1+1)
Description: Cross-binutils for Win32 (x86) using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the toolchain binutils targeting 32-bit Windows.

Package: binutils-mingw-w64-x86-64
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils (>= ${local:Version})
Built-Using: binutils (= ${binutils:Version})
Conflicts: mingw32-binutils
Breaks: binutils-mingw-w64 (<< 2.22-1+1)
Replaces: binutils-mingw-w64 (<< 2.22-1+1)
Description: Cross-binutils for Win64 (x64) using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the toolchain binutils targeting 64-bit Windows.
