## binutils-mingw-w64 2

=== debian/changelog ===
binutils-mingw-w64 (2) unstable; urgency=low

  * binutils-mingw-w64 doesn't conflict with mingw32-binutils so remove
    the relationship (helps with #662746).

 -- Stephen Kitt <steve@sk2.org>  Wed, 04 Jul 2012 22:54:01 +0200
