=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Architecture: all
 Depends: ${misc:Depends}, binutils-mingw-w64-i686, binutils-mingw-w64-x86-64
 Built-Using: binutils (= ${binutils:Version})
-Conflicts: mingw32-binutils
 Description: Cross-binutils for Win32 and Win64 using MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -25,7 +24,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, binutils (>= ${local:Version})
 Built-Using: binutils (= ${binutils:Version})
-Conflicts: mingw32-binutils
 Breaks: binutils-mingw-w64 (<< 2.22-1+1)
 Replaces: binutils-mingw-w64 (<< 2.22-1+1)
 Description: Cross-binutils for Win32 (x86) using MinGW-w64
@@ -39,7 +37,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, binutils (>= ${local:Version})
 Built-Using: binutils (= ${binutils:Version})
-Conflicts: mingw32-binutils
 Breaks: binutils-mingw-w64 (<< 2.22-1+1)
 Replaces: binutils-mingw-w64 (<< 2.22-1+1)
 Description: Cross-binutils for Win64 (x64) using MinGW-w64
