## binutils-mingw-w64 2+deb7u1

=== debian/changelog ===
binutils-mingw-w64 (2+deb7u1) wheezy-security; urgency=high

  * Rebuild against binutils 2.22-8+deb7u2 to fix CVE-2014-8484,
    CVE-2014-8485, CVE-2014-8501, CVE-2014-8502, CVE-2014-8503,
    CVE-2014-8504, CVE-2014-8737, CVE-2014-8738 (Closes: #775165).

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jan 2015 22:32:41 +0100
