=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Stephen Kitt <steve@sk2.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.22), bison, flex
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.22-8+deb7u2), bison, flex
 Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/binutils/
 Vcs-Git: git://git.debian.org/collab-maint/binutils-mingw-w64.git
