## binutils-mingw-w64 3b1

=== debian/changelog ===
binutils-mingw-w64 (3b1) staging; urgency=medium

  * No-change rebuild against binutils 2.24-3.

 -- Jon Severinsson <jon@severinsson.net>  Mon, 10 Feb 2014 20:45:21 +0100

binutils-mingw-w64 (3) unstable; urgency=low

  * Move linker scripts to target-specific directories to avoid
    conflicting with binutils (Closes: #712151, #712153).
  * Enable hardened builds.
  * Standards-Version 3.9.4, no further change required.
  * Drop DM-Upload-Allowed.
  * Switch to my Debian address.
  * Use canonical VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Jun 2013 22:48:16 +0200
