## binutils-mingw-w64 3build1

=== debian/changelog ===
binutils-mingw-w64 (3build1) saucy; urgency=low

  * Rebuild against updated binutils source.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Jun 2013 19:27:31 +0200
