=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: binutils-mingw-w64
 Section: devel
 Priority: extra
-Maintainer: Stephen Kitt <steve@sk2.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.22-8+deb7u2), bison, flex
-Standards-Version: 3.9.2
+Maintainer: Stephen Kitt <skitt@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.22), bison, flex
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/binutils/
-Vcs-Git: git://git.debian.org/collab-maint/binutils-mingw-w64.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/binutils-mingw-w64.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/binutils-mingw-w64.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/binutils-mingw-w64.git;a=summary
 
 Package: binutils-mingw-w64
 Architecture: all
