=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Copyright © 2010 Stephen Kitt <steve@sk2.org>
+# Copyright © 2010-2013 Stephen Kitt <skitt@debian.org>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -17,13 +17,18 @@
 targets := i686-w64-mingw32 x86_64-w64-mingw32
 
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS += -Wall
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
 
 unpack: unpack-stamp
 unpack-stamp:
 	tar xf $(binutils_dir)/binutils-$(gnu_upstream_version).tar.*
 	rm -rf $(upstream_dir)
 	mv binutils-$(deb_upstream_version) $(upstream_dir)
+	# Revert the ldscripts location patch so we avoid conflicting with binutils
+	cd $(upstream_dir); patch -R -p1 < /usr/src/binutils/patches/001_ld_makefile_patch.patch
 	touch $@
 
 clean:
@@ -64,9 +69,6 @@
 	rm -rf debian/tmp/usr/share/info
 	rm -rf debian/tmp/usr/share/locale
 
-	# The following aren't necessary and don't comply with the FHS
-	rm -rf $(patsubst %,debian/tmp/usr/%,$(targets))
-
 	# Copy the dllwrap manpages
 	for target in $(targets); do \
 		cp debian/dllwrap.1 debian/$$target-dllwrap.1; \
