=== debian/watch ===
version=3
http://ftp.debian.org/debian/pool/main/b/binutils/binutils_(.*)\.orig\.tar\.gz
