## binutils-mingw-w64 4

=== debian/changelog ===
binutils-mingw-w64 (4) unstable; urgency=medium

  * Build a mingw32-binutils transition package (Closes: #756141):
    - Lintian overrides are correct (Closes: #470874);
    - windres correctly handles input charsets (Closes: #530028);
    - use autotools-dev update config.{guess,sub} (Closes: #735376),
      thanks to Logan Rosen for the patch.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Jul 2014 23:25:01 +0200
