=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.22), bison, flex
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/binutils/
 Vcs-Git: git://anonscm.debian.org/collab-maint/binutils-mingw-w64.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/binutils-mingw-w64.git;a=summary
@@ -44,3 +44,16 @@
  the GNU Compiler Collection (gcc).
  .
  This package contains the toolchain binutils targeting 64-bit Windows.
+
+Package: mingw32-binutils
+Architecture: all
+Depends: ${misc:Depends}, binutils-mingw-w64-i686, binutils-mingw-w64-x86-64
+Built-Using: binutils (= ${binutils:Version})
+Description: Minimalist GNU win32 (cross) binutils (transition package)
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
+ .
+ This transition package replaces the old MinGW-based binutils and
+ allows building software using the old amd64-mingw32msvc and
+ i586-mingw32msvc triplets.
