=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Copyright © 2010-2013 Stephen Kitt <skitt@debian.org>
+# Copyright © 2010-2014 Stephen Kitt <skitt@debian.org>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -34,11 +34,13 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autotools-dev_restoreconfig
 	rm -rf *-stamp $(build_dir) $(upstream_dir) $(patsubst %,debian/%-dllwrap.1,$(targets))
 	dh_clean
 
 configure-stamp: unpack-stamp
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	for target in $(targets); do \
 		dh_auto_configure -B$(build_dir)/$$target -D$(upstream_dir) -- \
 				  --prefix=/usr --disable-multilib --enable-lto --enable-plugins --target=$$target; \
