## binutils-mingw-w64 5.2

=== debian/changelog ===
binutils-mingw-w64 (5.2) unstable; urgency=high

  * Rebuild against binutils 2.24.90.20141023-1 or later to fix
    CVE-2014-8484, CVE-2014-8485, CVE-2014-8501, CVE-2014-8502,
    CVE-2014-8503, CVE-2014-8504, CVE-2014-8737, CVE-2014-8738 (Closes:
    #775165).

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jan 2015 22:32:41 +0100

binutils-mingw-w64 (5.1) unstable; urgency=medium

  * Increase the testsuite timeout (the build fails on mipsel otherwise).
  * Disable the windres test on big-endian architectures.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Aug 2014 14:18:40 -0700

binutils-mingw-w64 (5) unstable; urgency=medium

  * Run the testsuite during the build.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Aug 2014 15:43:23 -0700
