=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,14 @@
 	rm -rf $(upstream_dir)
 	mv binutils-$(deb_upstream_version) $(upstream_dir)
 	# Revert the ldscripts location patch so we avoid conflicting with binutils
-	cd $(upstream_dir); patch -R -p1 < /usr/src/binutils/patches/001_ld_makefile_patch.patch
+	patch -d $(upstream_dir) -R -p1 < /usr/src/binutils/patches/001_ld_makefile_patch.patch
+	# Patch the testsuite (if necessary)
+	patch -d $(upstream_dir) -N -p2 < debian/patches/testsuite-64-bit.patch || true
+	patch -d $(upstream_dir) -N -p2 < debian/patches/testsuite-timeout.patch || true
+	# On big-endian architectures, disable the windres tests (#754829)
+	if [ "$$(dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)" = "big" ]; then \
+		rm -f $(upstream_dir)/binutils/testsuite/binutils-all/windres/windres.exp; \
+	fi
 	touch $@
 
 clean:
@@ -49,8 +56,10 @@
 
 build-arch-stamp: configure-stamp
 	dh_testdir
+	set -e; \
 	for target in $(targets); do \
 		dh_auto_build --parallel -B$(build_dir)/$$target; \
+		dh_auto_test -B$(build_dir)/$$target; \
 	done
 	touch $@
