## binutils-mingw-w64 5.2+deb8u1

=== debian/changelog ===
binutils-mingw-w64 (5.2+deb8u1) stable; urgency=medium

  * Apply upstream fix to handle Visual Studio DLLs (Closes: #787162).

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Jun 2015 07:17:38 +0200
