=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.22), bison, flex
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.24.90.20141023-1), bison, flex, dejagnu
 Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/binutils/
 Vcs-Git: git://anonscm.debian.org/collab-maint/binutils-mingw-w64.git
