=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,8 @@
 	# Patch the testsuite (if necessary)
 	patch -d $(upstream_dir) -N -p2 < debian/patches/testsuite-64-bit.patch || true
 	patch -d $(upstream_dir) -N -p2 < debian/patches/testsuite-timeout.patch || true
+	# Handle Visual Studio DLLs (#787162, upstream PR binutils/17910)
+	patch -d $(upstream_dir) -N -p1 < debian/patches/handle-visual-studio-dlls.patch || true
 	# On big-endian architectures, disable the windres tests (#754829)
 	if [ "$$(dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)" = "big" ]; then \
 		rm -f $(upstream_dir)/binutils/testsuite/binutils-all/windres/windres.exp; \
