## binutils-mingw-w64 6.2

=== debian/changelog ===
binutils-mingw-w64 (6.2) unstable; urgency=medium

  * Allow defining PE timestamps explicitly, using a timestamp as argument
    to --insert-timestamp.
  * Apply upstream fix to the PE testsuite.
  * Apply upstream fix for x64 import libraries.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Jun 2015 07:03:03 +0200

binutils-mingw-w64 (6.1) unstable; urgency=medium

  * Ensure dlltool initialises its output's .idata$6 section; this avoids
    random data ending up there, and helps with reproducible builds...

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 May 2015 23:27:21 +0200

binutils-mingw-w64 (6) unstable; urgency=medium

  * Drop the mingw32-binutils transitional package.
  * Simplify the binutils-source build-dependency to allow backports.
  * Standards-Version 3.9.6, no change required.
  * Enable deterministic archives.
  * Drop the watch file, it's not particularly useful.
  * Enable dlltool's -t option (this allows import archives to be
    reproduced).
  * Drop testsuite-64-bit.patch, the test was fixed upstream
    (differently).
  * Avoid segfaulting if the output def-file can't be opened (Closes:
    #519788).

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 May 2015 23:26:24 +0200
