=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,19 @@
 	# Revert the ldscripts location patch so we avoid conflicting with binutils
 	patch -d $(upstream_dir) -R -p1 < /usr/src/binutils/patches/001_ld_makefile_patch.patch
 	# Patch the testsuite (if necessary)
-	patch -d $(upstream_dir) -N -p2 < debian/patches/testsuite-64-bit.patch || true
 	patch -d $(upstream_dir) -N -p2 < debian/patches/testsuite-timeout.patch || true
-	# Handle Visual Studio DLLs (#787162, upstream PR binutils/17910)
-	patch -d $(upstream_dir) -N -p1 < debian/patches/handle-visual-studio-dlls.patch || true
+	# Enable the -t option for dlltool (to produce reproducible archives)
+	patch -d $(upstream_dir) -N -p2 < debian/patches/enable-dlltool-t.patch
+	# Ensure .idata$6 is cleared (to produce reproducible archives)
+	patch -d $(upstream_dir) -N -p2 < debian/patches/initialise-dlltool-idata6.patch
+	# Avoid segfaulting if the def-file can't be opened
+	patch -d $(upstream_dir) -N -p2 < debian/patches/avoid-dlltool-segfault.patch
+	# Pass CFLAGS to ld in pe-run2.exp
+	patch -d $(upstream_dir) -N -p0 < debian/patches/pe-run2-cflags-to-ld.patch
+	# Handle x64 import libraries correctly
+	patch -d $(upstream_dir) -N -p2 < debian/patches/pr-16598-x64-import-libraries.patch
+	# Allow defining the PE timestamp
+	patch -d $(upstream_dir) -N -p2 < debian/patches/specify-timestamp.patch
 	# On big-endian architectures, disable the windres tests (#754829)
 	if [ "$$(dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)" = "big" ]; then \
 		rm -f $(upstream_dir)/binutils/testsuite/binutils-all/windres/windres.exp; \
@@ -52,7 +61,7 @@
 	dh_autotools-dev_updateconfig
 	for target in $(targets); do \
 		dh_auto_configure -B$(build_dir)/$$target -D$(upstream_dir) -- \
-				  --prefix=/usr --disable-multilib --enable-lto --enable-plugins --target=$$target; \
+				  --prefix=/usr --disable-multilib --enable-lto --enable-plugins --enable-deterministic-archives --target=$$target; \
 	done
 	touch $@
