## binutils-mingw-w64 6.6

=== debian/changelog ===
binutils-mingw-w64 (6.6) unstable; urgency=medium

  * Disable -Werror (helps with #811598).
  * Switch to https: VCS URIs (see #810378).
  * Revert support for --gc-sections in COFF and PE images (Closes:
    #813144).

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Feb 2016 13:02:45 +0100

binutils-mingw-w64 (6.5) unstable; urgency=medium

  * Adjust patches to new binutils snapshot:
    - drop enable-dlltool-t.patch, merged upstream;
    - drop initialise-dlltool-idata6.patch, merged upstream;
    - drop avoid-dlltool-segfault.patch, merged upstream;
    - drop pe-run2-cflags-to-ld.patch, merged upstream;
    - disable failing tests for known-broken features.
  * Force the build to use the system-provided shared libz.

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Nov 2015 23:13:24 +0100

binutils-mingw-w64 (6.4) unstable; urgency=medium

  * Allow building the architecture-independent packages on their own.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Sep 2015 15:25:24 +0200

binutils-mingw-w64 (6.3) unstable; urgency=medium

  * Follow the SOURCE_DATE_EPOCH specification for --insert-timestamp (and
    ignore the optional argument; we can't drop support for that
    immediately to avoid breaking downstream users).

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 Sep 2015 23:07:25 +0200
