=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.24.90.20141023), bison, flex, dejagnu
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-source (>= 2.26), bison, flex, dejagnu
 Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/binutils/
-Vcs-Git: git://anonscm.debian.org/collab-maint/binutils-mingw-w64.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/binutils-mingw-w64.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/binutils-mingw-w64.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/binutils-mingw-w64.git
 
 Package: binutils-mingw-w64
 Architecture: all
