=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Copyright © 2010-2014 Stephen Kitt <skitt@debian.org>
+# Copyright © 2010-2015 Stephen Kitt <skitt@debian.org>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -31,22 +31,20 @@
 	patch -d $(upstream_dir) -R -p1 < /usr/src/binutils/patches/001_ld_makefile_patch.patch
 	# Patch the testsuite (if necessary)
 	patch -d $(upstream_dir) -N -p2 < debian/patches/testsuite-timeout.patch || true
-	# Enable the -t option for dlltool (to produce reproducible archives)
-	patch -d $(upstream_dir) -N -p2 < debian/patches/enable-dlltool-t.patch
-	# Ensure .idata$6 is cleared (to produce reproducible archives)
-	patch -d $(upstream_dir) -N -p2 < debian/patches/initialise-dlltool-idata6.patch
-	# Avoid segfaulting if the def-file can't be opened
-	patch -d $(upstream_dir) -N -p2 < debian/patches/avoid-dlltool-segfault.patch
-	# Pass CFLAGS to ld in pe-run2.exp
-	patch -d $(upstream_dir) -N -p0 < debian/patches/pe-run2-cflags-to-ld.patch
 	# Handle x64 import libraries correctly
 	patch -d $(upstream_dir) -N -p2 < debian/patches/pr-16598-x64-import-libraries.patch
 	# Allow defining the PE timestamp
 	patch -d $(upstream_dir) -N -p2 < debian/patches/specify-timestamp.patch
+	# Revert gc-sections support for COFF and PE (#813144)
+	patch -d $(upstream_dir) -R -p1 < debian/patches/coff-pe-gc-sections.patch
 	# On big-endian architectures, disable the windres tests (#754829)
 	if [ "$$(dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)" = "big" ]; then \
 		rm -f $(upstream_dir)/binutils/testsuite/binutils-all/windres/windres.exp; \
 	fi
+	# objcopy --extract-symbol is known to be broken on PE, disable the test
+	sed -i 'sXextract_symbol_test tmpdir/scriptXuntestedXg' $(upstream_dir)/ld/testsuite/ld-scripts/script.exp
+	# movnti disassembly is wrong when targeting x86_64
+	sed -i 's/run_dump_test "x86_64-intel"//g' $(upstream_dir)/gas/testsuite/gas/i386/i386.exp
 	touch $@
 
 clean:
@@ -61,7 +59,7 @@
 	dh_autotools-dev_updateconfig
 	for target in $(targets); do \
 		dh_auto_configure -B$(build_dir)/$$target -D$(upstream_dir) -- \
-				  --prefix=/usr --disable-multilib --enable-lto --enable-plugins --enable-deterministic-archives --target=$$target; \
+				  --prefix=/usr --disable-multilib --enable-lto --enable-plugins --enable-deterministic-archives --with-system-zlib --target=$$target --disable-werror; \
 	done
 	touch $@
 
@@ -74,7 +72,7 @@
 	done
 	touch $@
 
-build-indep-stamp:
+build-indep-stamp: unpack-stamp
 	touch $@
 
 install-arch: install-arch-stamp
