## binutils-mingw-w64 7.4

=== debian/changelog ===
binutils-mingw-w64 (7.4) unstable; urgency=medium

  * Add missing build dependencies on rdfind and symlinks.

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Jan 2017 20:06:20 +0100

binutils-mingw-w64 (7.3) unstable; urgency=medium

  * Install program links in /usr/${triplet}/bin (Closes: #846193).
  * Ensure all duplicate executables are symlinked.
  * Build-depend on zlib1g-dev (Closes: #849916). We relied on
    binutils-source to provide this, but that's insufficient for
    bootstrapping; in any case our own debian/rules uses it so we need to
    depend on it explicitly.
  * Add more spelling fixes.

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Jan 2017 19:07:58 +0100

binutils-mingw-w64 (7.2) unstable; urgency=medium

  * Disable Launchpad package mangling.
  * Refresh patches for binutils-source 2.27.51.20161102.

 -- Stephen Kitt <skitt@debian.org>  Mon, 07 Nov 2016 12:44:49 +0100

binutils-mingw-w64 (7.1) unstable; urgency=medium

  * Only override installation for arch-specific builds (otherwise
    arch-independent builds fail...).

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 Sep 2016 15:08:47 +0200

binutils-mingw-w64 (7) unstable; urgency=medium

  * Adjust patches to build with binutils-mingw-w64 2.27 (Closes:
    #835035):
    - drop pr-16598-x64-import-libraries.patch, merged upstream;
    - drop coff-pe-gc-sections.patch, gcc 6 builds correctly with
      gc-sections;
    - disable the x86-64-mpx-inval-2 test which is currently broken;
    - stop disabling obsolete or fixed tests.
  * Update licensing information.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.8, no change required.
  * Switch to debhelper compatibility level 9.
  * Enable all hardening options.
  * Fix a number of spelling mistakes.
  * Use quilt to apply the patches.
  * Disable some (broken) tests which activate when gcc-mingw-w64 is
    available.
  * Enable security flags by default: dynamicbase, nxcompat and
    high-entropy-va (the latter on x64); add linker flags to disable these
    (Closes: #836365).

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 Sep 2016 13:53:50 +0200
