## binutils-mingw-w64 7.4ubuntu1

=== debian/changelog ===
binutils-mingw-w64 (7.4ubuntu1) zesty; urgency=medium

  * Build with -O2 on ppc64el; segfault in the testsuite with -O3.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Mar 2017 14:19:27 +0100

binutils-mingw-w64 (7.4build1) zesty; urgency=medium

  * No-change rebuild using binutils 2.28.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Mar 2017 10:18:34 +0100
