=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,11 @@
 # Disable package mangling in Launchpad; it currently fails to parse
 # Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
+
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  export DEB_CFLAGS_MAINT_STRIP = -O3
+  export DEB_CFLAGS_MAINT_APPEND = -O2
+endif
 
 top_dir := $(shell pwd)
 binutils_dir := /usr/src/binutils
