## binutils-mingw-w64 8ubuntu1

=== debian/changelog ===
binutils-mingw-w64 (8ubuntu1) bionic; urgency=medium

  * Don't apply the bfd-texinfo patch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Mar 2018 17:40:12 +0100

binutils-mingw-w64 (8) unstable; urgency=medium

  * Switch to newer binutils and binutils-common.
  * Rely on debhelper’s dh_update_autotools_config instead of
    autotools-dev.
  * Switch to priority “optional”.
  * Use pkg-info.mk instead of dpkg-parsechangelog.
  * Add README.source explaining how patches are applied.
  * Switch to debhelper 11.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Jan 2018 12:28:06 +0100
