=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: binutils-mingw-w64
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
-Priority: extra
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               binutils-source (>= 2.27.51.20161102),
+Priority: optional
+Build-Depends: automake1.11,
+               debhelper (>= 11~),
+               binutils-source (>= 2.29-10),
                bison,
                flex,
                dejagnu,
@@ -12,7 +12,7 @@
                rdfind,
                symlinks,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/binutils-mingw-w64.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/binutils-mingw-w64.git
 Homepage: http://www.gnu.org/software/binutils/
@@ -34,7 +34,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         binutils (>= ${local:Version})
+         binutils-common (>= ${local:Version})
 Breaks: binutils-mingw-w64 (<< 2.22-1+1)
 Replaces: binutils-mingw-w64 (<< 2.22-1+1)
 Built-Using: binutils (= ${binutils:Version})
@@ -49,7 +49,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         binutils (>= ${local:Version})
+         binutils-common (>= ${local:Version})
 Breaks: binutils-mingw-w64 (<< 2.22-1+1)
 Replaces: binutils-mingw-w64 (<< 2.22-1+1)
 Built-Using: binutils (= ${binutils:Version})
