=== debian/rules ===
--- 
+++ 
@@ -20,17 +20,18 @@
 # Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
 
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-  export DEB_CFLAGS_MAINT_STRIP = -O3
-  export DEB_CFLAGS_MAINT_APPEND = -O2
-endif
+# Cygnus-style trees need automake 1.11
+export ACLOCAL=aclocal-1.11
+export AUTOMAKE=automake-1.11
+
+include /usr/share/dpkg/pkg-info.mk
 
 top_dir := $(shell pwd)
 binutils_dir := /usr/src/binutils
 upstream_dir := $(top_dir)/upstream
 build_dir := $(top_dir)/build
 source_version := $(shell dpkg-query -W -f="\$${Version}\n" binutils-source)
-deb_version := $(source_version)+$(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
+deb_version := $(source_version)+$(DEB_VERSION)
 deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
 gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
 
@@ -39,7 +40,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autotools-dev
+	dh $@
 
 spelling = grep -rl "$(1)" $(upstream_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
 
@@ -64,6 +65,7 @@
 	# Spelling fixes
 	$(call spelling,allows to,allows one to)
 	$(call spelling,auxilary,auxiliary)
+	$(call spelling,complier,compiler)
 	$(call spelling,maching,matching)
 	$(call spelling,preceeded,preceded)
 	$(call spelling,refered,referred)
@@ -72,11 +74,19 @@
 	$(call spelling,targetted,targeted)
 	touch $@
 
-override_dh_auto_clean:
-	rm -rf .pc *-stamp $(build_dir) $(upstream_dir) $(patsubst %,debian/%-dllwrap.1,$(targets))
-	dh_auto_clean
+override_dh_clean:
+	dh_clean
+	rm -rf .pc *-stamp $(build_dir) $(upstream_dir) $(patsubst %,debian/%-dllwrap.1,$(targets)) debian/autoreconf
 
-override_dh_auto_configure: unpack-stamp
+# Unpack before autotools
+override_dh_update_autotools_config: unpack-stamp
+# Allow whatever autoconf version is installed
+	sed -i "s/2.64/$$(autoconf -V | awk 'NR == 1 { print $$NF }')/g" $(upstream_dir)/config/override.m4
+# List the directories we need to work on explicitly
+	find $(upstream_dir) \( -name configure.ac -o -name configure.in \) -printf "%h\n" > debian/autoreconf
+	dh_update_autotools_config
+
+override_dh_auto_configure:
 	set -e; \
 	for target in $(targets); do \
 		dh_auto_configure -B$(build_dir)/$$target -D$(upstream_dir) -- \
