## binutils-mingw-w64 8.2

=== debian/changelog ===
binutils-mingw-w64 (8.2) unstable; urgency=medium

  * Adjust to binutils 2.30.90.20180627.
  * Link to the secure version of the homepage.
  * Fix the spelling of “debuging”.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Jul 2018 23:01:31 +0200

binutils-mingw-w64 (8.1) unstable; urgency=medium

  * Enable previously disabled tests which now work.
  * Remove obsolete spelling fix.
  * Disable autoreconf: it breaks the build, and requires a number of
    unfortunate workarounds; instead of relying on that to handle
    dh_auto_configure’s use of --runstatedir, explicitly specify the
    configure incantation. Closes: #889710; thanks to Adrian Bunk and Adam
    Borowski for their investigations.
  * Migrate to Salsa.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Apr 2018 09:22:25 +0200
