=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: automake1.11,
-               debhelper (>= 11~),
-               binutils-source (>= 2.29-10),
+Build-Depends: debhelper (>= 11~),
+               binutils-source (>= 2.30.90.20180627~),
                bison,
                flex,
                dejagnu,
@@ -12,10 +11,10 @@
                rdfind,
                symlinks,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/binutils-mingw-w64.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/binutils-mingw-w64.git
-Homepage: http://www.gnu.org/software/binutils/
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/binutils-mingw-w64
+Vcs-Git: https://salsa.debian.org/debian/binutils-mingw-w64.git
+Homepage: https://www.gnu.org/software/binutils/
 
 Package: binutils-mingw-w64
 Architecture: all
